Subject: Re: [PATCH] udev: create empty regular files to represent netinterfaces

From: dann frazier <[email-masked]>
Date: Thu, 29 Oct 2009 11:50:46 -0600

On Thu, Oct 29, 2009 at 10:52:52PM +0530, [email-masked] wrote:
> 
> >Sure, it's never guaranteed by the kernel that this will 
> >happen, especially as we speed up the boot process by doing 
> >things async.
> 
> >So again, just fix your installer, or write a new udev rule 
> >for your hardware platforms, or both.  But I still fail to see 
> >why multiple names for network devices _in the kernel_ is a 
> >solution for your issue.
> >
> 
> The char device nodes solution does not propose having multiple names
> for the network interfaces _in the kernel_.

Nor does the udev-only implementation I posted which doesn't rely on
new character devices.

-- 
dann frazier